# Class BasicFileChooserUI.BasicFileView

java.lang.Object
javax.swing.filechooser.FileView
javax.swing.plaf.basic.BasicFileChooserUI.BasicFileView

Enclosing class:
  `BasicFileChooserUI`

protected class BasicFileChooserUI.BasicFileView extends FileView
A basic file view.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Hashtable<File,Icon>`
`iconCache`
The icon cache

## Constructor Summary

Constructors
Constructor
Description
`BasicFileView()`
Constructs a `BasicFileView`.

## Method Summary

Modifier and Type
Method
Description
`void`
`cacheIcon(File f, Icon i)`
Caches an icon for a file.
`void`
`clearIconCache()`
Clears the icon cache.
`Icon`
`getCachedIcon(File f)`
Returns the cached icon for the file.
`Boolean`
`isHidden(File f)`
Returns whether or not a file is hidden.

### Methods declared in class FileView

`getDescription, getIcon, getName, getTypeDescription, isTraversable`
Modifier and Type
Method
Description
`String`
`getDescription(File f)`
A human readable description of the file.
`Icon`
`getIcon(File f)`
The icon that represents this file in the `JFileChooser`.
`String`
`getName(File f)`
The name of the file.
`String`
`getTypeDescription(File f)`
A human readable description of the type of the file.
`Boolean`
`isTraversable(File f)`
Whether the directory is traversable or not.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Field Details

### iconCache

protected Hashtable<File,Icon> iconCache
The icon cache

## Constructor Details

### BasicFileView

public BasicFileView()
Constructs a `BasicFileView`.

## Method Details

### clearIconCache

public void clearIconCache()
Clears the icon cache.

### getCachedIcon

public Icon getCachedIcon(File f)
Returns the cached icon for the file.

Parameters:
  `f` - the file
Returns:
  the cached icon for the file

### cacheIcon

public void cacheIcon(File f, Icon i)
Caches an icon for a file.

Parameters:
  `f` - the file
  `i` - the icon

### isHidden

public Boolean isHidden(File f)
Returns whether or not a file is hidden.

Parameters:
  `f` - the file
Returns:
  whether or not a file is hidden